<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified"
    targetNamespace="http://www.ftn.uns.ac.rs/obrazacA1"
    xmlns:a1="http://www.ftn.uns.ac.rs/obrazacA1" xmlns:r="http://www.w3.org/ns/rdfa#"
    xmlns:pred="http://www.ftn.uns.ac.rs/rdf/database/predicate/">
    <xs:element name="ZahtevZaAutorskaISrodnaPrava">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="Zavod">
                    <xs:complexType>
                        <xs:sequence>
                            <xs:element name="NazivUstanove" type="xs:string"/>
                            <xs:element ref="a1:Adresa"/>
                        </xs:sequence>
                    </xs:complexType>
                </xs:element>
                <xs:element name="PodnosilacZahteva"
                    r:vocab="http://www.ftn.uns.ac.rs/rdf/database/predicate">
                    <xs:complexType>
                        <xs:sequence>
                            <xs:choice>
                                <xs:element name="FizickoLice" type="a1:TFizickoLice"/>
                                <xs:element name="PravnoLice" type="a1:TPravnoLice"/>
                            </xs:choice>
                            <xs:element name="BrojTelefona" minOccurs="0" nillable="false">
                                <xs:simpleType>
                                    <xs:restriction base="xs:string">
                                        <xs:pattern value="[\+]?[0-9]+"/>
                                        <xs:minLength value="8"/>
                                        <xs:maxLength value="15"/>
                                    </xs:restriction>
                                </xs:simpleType>
                            </xs:element>
                            <xs:element name="E-mail">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:string">
                                            <xs:attribute default="pred:emailPodnosioca"
                                                name="property" type="xs:string"/>
                                            <xs:attribute default="xs:string" name="datatype"
                                                type="xs:string"/>
                                        </xs:extension>
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element minOccurs="0" name="Punomocnik" type="a1:TLice"/>
                            <xs:element name="PotipsPodnosiocaPrijave">
                                <xs:complexType>
                                    <xs:sequence>
                                        <xs:element name="Potpisao">
                                            <xs:simpleType>
                                                <xs:restriction base="xs:string">
                                                  <xs:enumeration value="FIZICKO_LICE"/>
                                                  <xs:enumeration value="ZASTUPNIK_LICA"/>
                                                  <xs:enumeration
                                                  value="OVLASCENI_PREDSTAVNIK_PRAVNOG_LICA"/>
                                                </xs:restriction>
                                            </xs:simpleType>
                                        </xs:element>
                                        <xs:element name="Potpis" type="xs:string"/>
                                    </xs:sequence>
                                </xs:complexType>
                            </xs:element>
                        </xs:sequence>
                        <xs:attribute name="about" type="xs:string"/>
                        <xs:attribute fixed="http://www.ftn.uns.ac.rs/rdf/database/predicate"
                            name="vocab" type="xs:string"/>
                    </xs:complexType>
                </xs:element>
                <xs:element name="AutorskoDelo"
                    r:vocab="http://www.ftn.uns.ac.rs/rdf/database/predicate">
                    <xs:complexType>
                        <xs:sequence>
                            <xs:element name="NaslovAutorskogDela" form="qualified">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:string">
                                            <xs:attribute default="pred:sadrziAutorskoDeloNaslova"
                                                name="property" type="xs:string"/>
                                            <xs:attribute default="xs:string" name="datatype"
                                                type="xs:string"/>
                                        </xs:extension>
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element maxOccurs="unbounded" minOccurs="0"
                                name="AlternativniNaslovAutorskogDela">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:string">
                                            <xs:attribute
                                                default="pred:alternativniNaslovAutorskogDela"
                                                name="property" type="xs:string"/>
                                            <xs:attribute default="xs:string" name="datatype"
                                                type="xs:string"/>
                                        </xs:extension>
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="VrstaAutorskogDela">
                                <xs:complexType>
                                    <xs:choice>
                                        <xs:element name="PIsanoDelo">
                                            <xs:simpleType>
                                                <xs:restriction base="xs:string">
                                                  <xs:enumeration value=""/>
                                                </xs:restriction>
                                            </xs:simpleType>
                                        </xs:element>
                                        <xs:element name="GovornaDela">
                                            <xs:simpleType>
                                                <xs:restriction base="xs:string">
                                                  <xs:enumeration value="PREDAVANJA"/>
                                                  <xs:enumeration value="GOVORI"/>
                                                  <xs:enumeration value="BESEDE"/>
                                                  <xs:enumeration value="DRUGO"/>
                                                </xs:restriction>
                                            </xs:simpleType>
                                        </xs:element>
                                        <xs:element name="DramskaDela">
                                            <xs:simpleType>
                                                <xs:restriction base="xs:string">
                                                  <xs:enumeration value="DRAMSKO_DELO"/>
                                                  <xs:enumeration value="DRAMSKO_MUZICKO_DELO"/>
                                                  <xs:enumeration
                                                  value="KOREOGRAFSKO_PANTOMIMSKO_DELO"/>
                                                  <xs:enumeration value="DELO_POTEKLO_IZ_FOLKLORA"/>
                                                </xs:restriction>
                                            </xs:simpleType>
                                        </xs:element>
                                        <xs:element name="MuzickoDelo">
                                            <xs:simpleType>
                                                <xs:restriction base="xs:string">
                                                  <xs:enumeration value="DELO_SA_RECIMA"/>
                                                  <xs:enumeration value="DELO_BEZ_RECI"/>
                                                </xs:restriction>
                                            </xs:simpleType>
                                        </xs:element>
                                        <xs:element name="FilmskaDela">
                                            <xs:simpleType>
                                                <xs:restriction base="xs:string">
                                                  <xs:enumeration value="KINEMATOGRAFSKO"/>
                                                  <xs:enumeration value="TELEVIZIJSKO"/>
                                                </xs:restriction>
                                            </xs:simpleType>
                                        </xs:element>
                                        <xs:element name="DelaLikovneUmetnosti">
                                            <xs:simpleType>
                                                <xs:restriction base="xs:string">
                                                  <xs:enumeration value="SLIKA"/>
                                                  <xs:enumeration value="GRAFIKA"/>
                                                  <xs:enumeration value="SKULPTURA"/>
                                                  <xs:enumeration value="DRUGO"/>
                                                </xs:restriction>
                                            </xs:simpleType>
                                        </xs:element>
                                        <xs:element name="DelaArhitekturPrimenjeneUmetnosti">
                                            <xs:simpleType>
                                                <xs:restriction base="xs:string">
                                                  <xs:enumeration value="ARHITEKTONSKO_DELO"/>
                                                  <xs:enumeration value="DELO_PRIMENJENE_UMETNOSTI"/>
                                                  <xs:enumeration value="INDUSTRIJSKO_OBLIKOVANJE"/>
                                                </xs:restriction>
                                            </xs:simpleType>
                                        </xs:element>
                                        <xs:element name="KartografskaDela">
                                            <xs:simpleType>
                                                <xs:restriction base="xs:string">
                                                  <xs:enumeration value="TOPOGRAFSKE_KARTE"/>
                                                  <xs:enumeration value="GEOGRAFSKE_KARTE"/>
                                                </xs:restriction>
                                            </xs:simpleType>
                                        </xs:element>
                                        <xs:element name="PlanoviSkiceMaketeFotografije">
                                            <xs:simpleType>
                                                <xs:restriction base="xs:string">
                                                  <xs:enumeration value="PLAN"/>
                                                  <xs:enumeration value="SKICA"/>
                                                  <xs:enumeration value="MAKETA"/>
                                                  <xs:enumeration value="FOTOGRAFIJA"/>
                                                </xs:restriction>
                                            </xs:simpleType>
                                        </xs:element>
                                        <xs:element name="PozorisnaRezija" type="xs:string"/>
                                    </xs:choice>
                                    <xs:attribute default="pred:imaVrstuAutorskogDela"
                                        name="property" type="xs:string"/>
                                    <xs:attribute default="xs:string" name="datatype"
                                        type="xs:string"/>
                                </xs:complexType>
                            </xs:element>
                            <xs:element minOccurs="0" name="ZasnovanoNaDeluPrerade">
                                <xs:complexType>
                                    <xs:sequence>
                                        <xs:element name="NaslovDelaNaKomeSeZasniva">
                                            <xs:simpleType>
                                                <xs:restriction base="xs:string">
                                                  <xs:minLength value="1"/>
                                                </xs:restriction>
                                            </xs:simpleType>
                                        </xs:element>
                                        <xs:element name="AutoriIzvornogDela" minOccurs="0">
                                            <xs:complexType>
                                                <xs:choice>
                                                  <xs:element maxOccurs="unbounded" name="Autor">
                                                  <xs:complexType>
                                                  <xs:sequence>
                                                  <xs:choice>
                                                  <xs:element name="ZivAutor">
                                                  <xs:complexType>
                                                  <xs:complexContent>
                                                  <xs:extension base="a1:TLice">
                                                  <xs:sequence>
                                                  <xs:element name="Drzavljanstvo">
                                                  <xs:simpleType>
                                                  <xs:restriction base="xs:string">
                                                  <xs:minLength value="1"/>
                                                  </xs:restriction>
                                                  </xs:simpleType>
                                                  </xs:element>
                                                  <xs:element minOccurs="0" name="AnonimniAutor"
                                                  type="xs:string"/>
                                                  </xs:sequence>
                                                  </xs:extension>
                                                  </xs:complexContent>
                                                  </xs:complexType>
                                                  </xs:element>
                                                  <xs:element name="PreminuoAutor">
                                                  <xs:complexType>
                                                  <xs:sequence>
                                                  <xs:element name="Ime" type="xs:string"/>
                                                  <xs:element name="GodinaSmrti">
                                                  <xs:simpleType>
                                                  <xs:restriction base="xs:positiveInteger">
                                                  <xs:minInclusive value="100"/>
                                                  </xs:restriction>
                                                  </xs:simpleType>
                                                  </xs:element>
                                                  <xs:element minOccurs="0" name="AnonimniAutor"
                                                  type="xs:string"/>
                                                  </xs:sequence>
                                                  </xs:complexType>
                                                  </xs:element>
                                                  </xs:choice>
                                                  <xs:element minOccurs="0" name="ZnakAutora"
                                                  type="xs:string"/>
                                                  <xs:element minOccurs="0" name="PseudonimAutora"
                                                  type="xs:string"/>
                                                  </xs:sequence>
                                                  </xs:complexType>
                                                  </xs:element>
                                                  <xs:element maxOccurs="unbounded" name="Koautor">
                                                  <xs:complexType>
                                                  <xs:sequence>
                                                  <xs:choice>
                                                  <xs:element name="ZivKoautor">
                                                  <xs:complexType>
                                                  <xs:complexContent>
                                                  <xs:extension base="a1:TLice">
                                                  <xs:sequence>
                                                  <xs:element name="Drzavljanstvo">
                                                  <xs:simpleType>
                                                  <xs:restriction base="xs:string">
                                                  <xs:minLength value="1"/>
                                                  </xs:restriction>
                                                  </xs:simpleType>
                                                  </xs:element>
                                                  <xs:element name="AnonimniKoautor"
                                                  type="xs:string"/>
                                                  </xs:sequence>
                                                  </xs:extension>
                                                  </xs:complexContent>
                                                  </xs:complexType>
                                                  </xs:element>
                                                  <xs:element name="PreminuoKoautor">
                                                  <xs:complexType>
                                                  <xs:sequence>
                                                  <xs:element name="Ime">
                                                  <xs:simpleType>
                                                  <xs:restriction base="xs:string">
                                                  <xs:minLength value="1"/>
                                                  </xs:restriction>
                                                  </xs:simpleType>
                                                  </xs:element>
                                                  <xs:element name="GodinaSmrti">
                                                  <xs:simpleType>
                                                  <xs:restriction base="xs:positiveInteger">
                                                  <xs:minInclusive value="100"/>
                                                  </xs:restriction>
                                                  </xs:simpleType>
                                                  </xs:element>
                                                  </xs:sequence>
                                                  </xs:complexType>
                                                  </xs:element>
                                                  </xs:choice>
                                                  <xs:element minOccurs="0" name="ZnakKoautora"
                                                  type="xs:string"/>
                                                  <xs:element minOccurs="0" name="PseudonimKoautora"
                                                  type="xs:string"/>
                                                  </xs:sequence>
                                                  </xs:complexType>
                                                  </xs:element>
                                                </xs:choice>
                                            </xs:complexType>
                                        </xs:element>
                                    </xs:sequence>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="FormaZapisaDela">
                                <xs:simpleType>
                                    <xs:restriction base="xs:string">
                                        <xs:enumeration value="STAMPANI_TEKST"/>
                                        <xs:enumeration value="OPTICKI_DISK"/>
                                        <xs:enumeration value="DRUGO"/>
                                    </xs:restriction>
                                </xs:simpleType>
                            </xs:element>
                            <xs:element name="AutoriDela" minOccurs="0">
                                <xs:complexType>
                                    <xs:choice>
                                        <xs:element maxOccurs="unbounded" name="Autor">
                                            <xs:complexType>
                                                <xs:sequence>
                                                  <xs:choice>
                                                  <xs:element name="ZivAutor">
                                                  <xs:complexType>
                                                  <xs:complexContent>
                                                  <xs:extension base="a1:TLice">
                                                  <xs:sequence>
                                                  <xs:element name="Drzavljanstvo">
                                                  <xs:simpleType>
                                                  <xs:restriction base="xs:string">
                                                  <xs:minLength value="1"/>
                                                  </xs:restriction>
                                                  </xs:simpleType>
                                                  </xs:element>
                                                  <xs:element name="AnonimniAutor" type="xs:string"
                                                  />
                                                  </xs:sequence>
                                                  </xs:extension>
                                                  </xs:complexContent>
                                                  </xs:complexType>
                                                  </xs:element>
                                                  <xs:element name="PreminuoAutor">
                                                  <xs:complexType>
                                                  <xs:sequence>
                                                  <xs:element name="Ime">
                                                  <xs:simpleType>
                                                  <xs:restriction base="xs:string">
                                                  <xs:minLength value="1"/>
                                                  </xs:restriction>
                                                  </xs:simpleType>
                                                  </xs:element>
                                                  <xs:element name="GodinaSmrti">
                                                  <xs:simpleType>
                                                  <xs:restriction base="xs:positiveInteger">
                                                  <xs:minInclusive value="100"/>
                                                  </xs:restriction>
                                                  </xs:simpleType>
                                                  </xs:element>
                                                  </xs:sequence>
                                                  </xs:complexType>
                                                  </xs:element>
                                                  </xs:choice>
                                                  <xs:element minOccurs="0" name="ZnakAutora"
                                                  type="xs:string"/>
                                                  <xs:element minOccurs="0" name="PseudonimAutora"
                                                  type="xs:string"/>
                                                </xs:sequence>
                                                <xs:attribute default="pred:autor" name="property"
                                                  type="xs:string"/>
                                                <xs:attribute default="xs:string" name="datatype"
                                                  type="xs:string"/>
                                            </xs:complexType>
                                        </xs:element>
                                        <xs:element maxOccurs="unbounded" name="Koautor">
                                            <xs:complexType>
                                                <xs:sequence>
                                                  <xs:choice>
                                                  <xs:element name="ZivKoautor">
                                                  <xs:complexType>
                                                  <xs:complexContent>
                                                  <xs:extension base="a1:TLice">
                                                  <xs:sequence>
                                                  <xs:element name="Drzavljanstvo">
                                                  <xs:simpleType>
                                                  <xs:restriction base="xs:string">
                                                  <xs:minLength value="1"/>
                                                  </xs:restriction>
                                                  </xs:simpleType>
                                                  </xs:element>
                                                  <xs:element name="AnonimniKoautor"
                                                  type="xs:string"/>
                                                  </xs:sequence>
                                                  </xs:extension>
                                                  </xs:complexContent>
                                                  </xs:complexType>
                                                  </xs:element>
                                                  <xs:element name="PreminuoKoautor">
                                                  <xs:complexType>
                                                  <xs:sequence>
                                                  <xs:element name="Ime">
                                                  <xs:simpleType>
                                                  <xs:restriction base="xs:string">
                                                  <xs:minLength value="1"/>
                                                  </xs:restriction>
                                                  </xs:simpleType>
                                                  </xs:element>
                                                  <xs:element name="GodinaSmrti">
                                                  <xs:simpleType>
                                                  <xs:restriction base="xs:positiveInteger">
                                                  <xs:minInclusive value="100"/>
                                                  </xs:restriction>
                                                  </xs:simpleType>
                                                  </xs:element>
                                                  </xs:sequence>
                                                  </xs:complexType>
                                                  </xs:element>
                                                  </xs:choice>
                                                  <xs:element minOccurs="0" name="ZnakKoautora"
                                                  type="xs:string"/>
                                                  <xs:element minOccurs="0" name="PseudonimKoautora"
                                                  type="xs:string"/>
                                                </xs:sequence>
                                                <xs:attribute default="pred:koautor" name="property"
                                                  type="xs:string"/>
                                                <xs:attribute default="xs:string" name="datatype"
                                                  type="xs:string"/>
                                            </xs:complexType>
                                        </xs:element>
                                    </xs:choice>
                                    <xs:attribute
                                        fixed="http://www.ftn.uns.ac.rs/rdf/database/predicate"
                                        name="vocab" type="xs:string"/>
                                    <xs:attribute name="about" type="xs:string"/>
                                </xs:complexType>
                            </xs:element>
                            <xs:element minOccurs="0" name="DeloStvorenoURadnomOdnosu"
                                type="xs:string"/>
                            <xs:element name="NacinKoriscenjaDela" type="xs:string" minOccurs="0"/>
                        </xs:sequence>
                        <xs:attribute name="about" type="xs:string"/>
                        <xs:attribute fixed="http://www.ftn.uns.ac.rs/rdf/database/predicate"
                            name="vocab" type="xs:string"/>
                    </xs:complexType>
                </xs:element>
                <xs:element name="PriloziUzZahtev">
                    <xs:complexType>
                        <xs:sequence>
                            <xs:element minOccurs="0" name="OpisAutorskogDela" type="xs:string"/>
                            <xs:element minOccurs="0" name="PrimerAutorskogDela">
                                <xs:complexType>
                                    <xs:sequence>
                                        <xs:element name="Tip">
                                            <xs:simpleType>
                                                <xs:restriction base="xs:string">
                                                  <xs:enumeration value="SLIKA"/>
                                                  <xs:enumeration value="VIDEO_ZAPIS"/>
                                                  <xs:enumeration value="AUDIO_ZAPIS"/>
                                                </xs:restriction>
                                            </xs:simpleType>
                                        </xs:element>
                                        <xs:element name="Link">
                                            <xs:simpleType>
                                                <xs:restriction base="xs:string">
                                                  <xs:minLength value="3"/>
                                                </xs:restriction>
                                            </xs:simpleType>
                                        </xs:element>
                                    </xs:sequence>
                                </xs:complexType>
                            </xs:element>
                        </xs:sequence>
                    </xs:complexType>
                </xs:element>
            </xs:sequence>
            <xs:attribute name="BrojPrijave" use="required">
                <xs:simpleType>
                    <xs:restriction base="xs:string">
                        <xs:pattern value="A-[0-9]+"/>
                    </xs:restriction>
                </xs:simpleType>
            </xs:attribute>
            <xs:attribute name="DatumPodnosenja" type="xs:date" use="required"/>
        </xs:complexType>
    </xs:element>
    <xs:element name="Adresa">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="Mesto" type="xs:string"/>
                <xs:element minOccurs="0" name="PostanskiBroj">
                    <xs:simpleType>
                        <xs:restriction base="xs:int">
                            <xs:minInclusive value="11000"/>
                            <xs:maxInclusive value="40000"/>
                        </xs:restriction>
                    </xs:simpleType>
                </xs:element>
                <xs:element name="Ulica" type="xs:string"/>
                <xs:element name="Broj">
                    <xs:simpleType>
                        <xs:restriction base="xs:positiveInteger"/>
                    </xs:simpleType>
                </xs:element>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
    <xs:complexType name="TLice">
        <xs:sequence>
            <xs:element name="Ime">
                <xs:complexType>
                    <xs:simpleContent>
                        <xs:extension base="xs:string">
                            <xs:attribute default="pred:jePodneloFizickoLiceImena" name="property"
                                type="xs:string"/>
                            <xs:attribute default="xs:string" name="datatype" type="xs:string"/>
                        </xs:extension>
                    </xs:simpleContent>
                </xs:complexType>
            </xs:element>
            <xs:element name="Prezime">
                <xs:complexType>
                    <xs:simpleContent>
                        <xs:extension base="xs:string">
                            <xs:attribute default="pred:jePodneloFizickoLicePrezimena"
                                name="property" type="xs:string"/>
                            <xs:attribute default="xs:string" name="datatype" type="xs:string"/>
                        </xs:extension>
                    </xs:simpleContent>
                </xs:complexType>
            </xs:element>
            <xs:element ref="a1:Adresa"/>
        </xs:sequence>
    </xs:complexType>
    <xs:complexType name="TFizickoLice">
        <xs:complexContent>
            <xs:extension base="a1:TLice">
                <xs:sequence>
                    <xs:element name="Drzavljanstvo" type="xs:string"/>
                    <xs:element name="TipPodnosioca">
                        <xs:simpleType>
                            <xs:restriction base="xs:string">
                                <xs:enumeration value="AUTOR"/>
                                <xs:enumeration value="DRUGI_NOSIOC_AUTORSKOG_PRAVA"/>
                            </xs:restriction>
                        </xs:simpleType>
                    </xs:element>
                </xs:sequence>
            </xs:extension>
        </xs:complexContent>
    </xs:complexType>
    <xs:complexType name="TPravnoLice">
        <xs:sequence>
            <xs:element name="PoslovnoIme">
                <xs:complexType>
                    <xs:simpleContent>
                        <xs:extension base="xs:string">
                            <xs:attribute default="pred:jePodneloPravnoLicePosolvnogImena"
                                name="property" type="xs:string"/>
                            <xs:attribute default="xs:string" name="datatype" type="xs:string"/>
                        </xs:extension>
                    </xs:simpleContent>
                </xs:complexType>
            </xs:element>
            <xs:element name="SedisteOrganizacije">
                <xs:complexType>
                    <xs:sequence>
                        <xs:element ref="a1:Adresa"/>
                    </xs:sequence>
                </xs:complexType>
            </xs:element>
        </xs:sequence>
    </xs:complexType>
</xs:schema>
